package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag201;


import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT201Creator;

public class Tag30Creator extends AbsTagCreate {
    private MT201Creator mt201Creator;

    public Tag30Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt201Creator= (MT201Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag30Value = mt201Creator.getValueDate();
        mt201Creator.set("30", tag30Value);
    }
}